# Uses of Class
org.apache.avro.idl.IdlParser.SchemaPropertyContext

## Uses of IdlParser.SchemaPropertyContext in org.apache.avro.idl

Fields in org.apache.avro.idl declared as IdlParser.SchemaPropertyContext
Modifier and Type
Field
Description
`IdlParser.SchemaPropertyContext`
IdlParser.EnumDeclarationContext.`schemaProperty`
`IdlParser.SchemaPropertyContext`
IdlParser.EnumSymbolContext.`schemaProperty`
`IdlParser.SchemaPropertyContext`
IdlParser.FixedDeclarationContext.`schemaProperty`
`IdlParser.SchemaPropertyContext`
IdlParser.FullTypeContext.`schemaProperty`
`IdlParser.SchemaPropertyContext`
IdlParser.MessageDeclarationContext.`schemaProperty`
`IdlParser.SchemaPropertyContext`
IdlParser.ProtocolDeclarationContext.`schemaProperty`
`IdlParser.SchemaPropertyContext`
IdlParser.RecordDeclarationContext.`schemaProperty`
`IdlParser.SchemaPropertyContext`
IdlParser.VariableDeclarationContext.`schemaProperty`
Fields in org.apache.avro.idl with type parameters of type IdlParser.SchemaPropertyContext
Modifier and Type
Field
Description
`List<IdlParser.SchemaPropertyContext>`
IdlParser.EnumDeclarationContext.`schemaProperties`
`List<IdlParser.SchemaPropertyContext>`
IdlParser.EnumSymbolContext.`schemaProperties`
`List<IdlParser.SchemaPropertyContext>`
IdlParser.FixedDeclarationContext.`schemaProperties`
`List<IdlParser.SchemaPropertyContext>`
IdlParser.FullTypeContext.`schemaProperties`
`List<IdlParser.SchemaPropertyContext>`
IdlParser.MessageDeclarationContext.`schemaProperties`
`List<IdlParser.SchemaPropertyContext>`
IdlParser.ProtocolDeclarationContext.`schemaProperties`
`List<IdlParser.SchemaPropertyContext>`
IdlParser.RecordDeclarationContext.`schemaProperties`
`List<IdlParser.SchemaPropertyContext>`
IdlParser.VariableDeclarationContext.`schemaProperties`
Methods in org.apache.avro.idl that return IdlParser.SchemaPropertyContext
Modifier and Type
Method
Description
`IdlParser.SchemaPropertyContext`
IdlParser.EnumDeclarationContext.`schemaProperty(int i)`
`IdlParser.SchemaPropertyContext`
IdlParser.EnumSymbolContext.`schemaProperty(int i)`
`IdlParser.SchemaPropertyContext`
IdlParser.FixedDeclarationContext.`schemaProperty(int i)`
`IdlParser.SchemaPropertyContext`
IdlParser.FullTypeContext.`schemaProperty(int i)`
`IdlParser.SchemaPropertyContext`
IdlParser.MessageDeclarationContext.`schemaProperty(int i)`
`IdlParser.SchemaPropertyContext`
IdlParser.ProtocolDeclarationContext.`schemaProperty(int i)`
`IdlParser.SchemaPropertyContext`
IdlParser.RecordDeclarationContext.`schemaProperty(int i)`
`final IdlParser.SchemaPropertyContext`
IdlParser.`schemaProperty()`
`IdlParser.SchemaPropertyContext`
IdlParser.VariableDeclarationContext.`schemaProperty(int i)`
Methods in org.apache.avro.idl that return types with arguments of type IdlParser.SchemaPropertyContext
Modifier and Type
Method
Description
`List<IdlParser.SchemaPropertyContext>`
IdlParser.EnumDeclarationContext.`schemaProperty()`
`List<IdlParser.SchemaPropertyContext>`
IdlParser.EnumSymbolContext.`schemaProperty()`
`List<IdlParser.SchemaPropertyContext>`
IdlParser.FixedDeclarationContext.`schemaProperty()`
`List<IdlParser.SchemaPropertyContext>`
IdlParser.FullTypeContext.`schemaProperty()`
`List<IdlParser.SchemaPropertyContext>`
IdlParser.MessageDeclarationContext.`schemaProperty()`
`List<IdlParser.SchemaPropertyContext>`
IdlParser.ProtocolDeclarationContext.`schemaProperty()`
`List<IdlParser.SchemaPropertyContext>`
IdlParser.RecordDeclarationContext.`schemaProperty()`
`List<IdlParser.SchemaPropertyContext>`
IdlParser.VariableDeclarationContext.`schemaProperty()`
Methods in org.apache.avro.idl with parameters of type IdlParser.SchemaPropertyContext
Modifier and Type
Method
Description
`void`
IdlBaseListener.`enterSchemaProperty(IdlParser.SchemaPropertyContext ctx)`
Enter a parse tree produced by `IdlParser.schemaProperty()`.
`void`
IdlListener.`enterSchemaProperty(IdlParser.SchemaPropertyContext ctx)`
Enter a parse tree produced by `IdlParser.schemaProperty()`.
`void`
IdlBaseListener.`exitSchemaProperty(IdlParser.SchemaPropertyContext ctx)`
Exit a parse tree produced by `IdlParser.schemaProperty()`.
`void`
IdlListener.`exitSchemaProperty(IdlParser.SchemaPropertyContext ctx)`
Exit a parse tree produced by `IdlParser.schemaProperty()`.